package gamelib;

import org.newdawn.slick.Animation;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;

/**
 *
 * @author jakub
 */
public interface Actor {
    String getName();
    float getX();
    float getY();
    void setX(float x);
    void setY(float y);
    void update(GameContainer container, int delta, Level level);
    void render(GameContainer container, Graphics g, Level level);
    Animation getCurrentAnimation();
    boolean intersect(Actor actor);
}
